summaryrefslogtreecommitdiffstats
path: root/system-config/components/0080-gdm3
diff options
context:
space:
mode:
Diffstat (limited to 'system-config/components/0080-gdm3')
-rwxr-xr-xsystem-config/components/0080-gdm385
1 files changed, 85 insertions, 0 deletions
diff --git a/system-config/components/0080-gdm3 b/system-config/components/0080-gdm3
new file mode 100755
index 0000000..bef4774
--- /dev/null
+++ b/system-config/components/0080-gdm3
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+## live-config(7) - System Configuration Components
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+#set -e
+
+Cmdline ()
+{
+ # Reading kernel command line
+ for _PARAMETER in ${LIVE_CONFIG_CMDLINE}
+ do
+ case "${_PARAMETER}" in
+ live-config.noautologin|noautologin)
+ LIVE_CONFIG_NOAUTOLOGIN="true"
+ ;;
+
+ live-config.nox11autologin|nox11autologin)
+ LIVE_CONFIG_NOX11AUTOLOGIN="true"
+ ;;
+
+ live-config.username=*|username=*)
+ LIVE_USERNAME="${_PARAMETER#*username=}"
+ ;;
+ esac
+ done
+}
+
+Init ()
+{
+ # Disables both console and graphical autologin.
+ case "${LIVE_CONFIG_NOAUTOLOGIN}" in
+ true)
+ exit 0
+ ;;
+ esac
+
+ # Disables graphical autologin, no matter what mechanism
+ case "${LIVE_CONFIG_NOX11AUTOLOGIN}" in
+ true)
+ exit 0
+ ;;
+ esac
+
+ # Checking if package is installed or already configured
+ if [ ! -e /var/lib/dpkg/info/gdm3.list ] || \
+ [ -e /var/lib/live/config/gdm3 ]
+ then
+ exit 0
+ fi
+
+ echo -n " gdm3"
+}
+
+Config ()
+{
+ # Checking if package is already configured
+ if grep -qs AutomaticLoginEnable=true /etc/gdm3/daemon.conf
+ then
+ exit 0
+ fi
+
+ _GDM3_OPTIONS="AutomaticLoginEnable=true\n\
+AutomaticLogin=${LIVE_USERNAME}\n\
+TimedLoginEnable=true\n\
+TimedLogin=${LIVE_USERNAME}\n\
+TimedLoginDelay=5"
+
+ sed -i -e "s|\[daemon\]|\[daemon\]\n${_GDM3_OPTIONS}|" /etc/gdm3/daemon.conf
+
+ # Avoid xinit
+ touch /var/lib/live/config/xinit
+
+ # Creating state file
+ touch /var/lib/live/config/gdm3
+}
+
+Cmdline
+Init
+Config